Get Chat History
curl --request GET \
--url https://api.boostgpt.co/v1/bot/chat/read \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.boostgpt.co/v1/bot/chat/read"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.boostgpt.co/v1/bot/chat/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"conversation": [
{
"uuid": "<string>",
"chat_id": "<string>",
"content": "<string>",
"role": "user",
"model": "<string>",
"complexity": "<string>",
"reasoning_type": "<string>",
"estimated_time_ms": "<string>",
"estimated_cost": "<string>",
"confidence": "<string>",
"channel": "<string>",
"credit_used": "<string>",
"confidence_score": "<string>",
"tokens": 123,
"upvotes": 123,
"downvotes": 123,
"reasoning": {},
"preference": {
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>",
"reasoningType": "<string>"
},
"sources": [
{
"url": "<string>",
"tags": [
"<string>"
],
"type": "<string>",
"title": "<string>",
"favicon": "<string>",
"source_id": "<string>",
"citation_number": 123
}
],
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"uuid": "<string>",
"email": "<string>",
"name": "<string>",
"avatar": "<string>",
"avatar_link": "<string>"
},
"isToolExecuting": true
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}Chat
Get Chat History
Fetch messages from a specific chat conversation
GET
/
v1
/
bot
/
chat
/
read
Get Chat History
Authorizations
Enter your API key
Query Parameters
Project ID
Agent ID
Chat ID
Page number
Items per page
Return each message's vote state for this voter
Which kind of voter voter_id refers to
Available options:
member, subscriber, anonymous Narrow to a conversation purpose
Available options:
builder, visitor, internal Was this page helpful?
⌘I